#1172 Wrong script file name in error message

v4.2.0
closed
nobody
None
complete
3
2014-04-15
2013-05-01
mukenx
No

the script c:\temp\test1.rex containing the single line

p = .Properties~new('')

returns as expected
Error 93 running c:\temp\test1.rex line 1: ...

However the script c:\temp\test2.rex containing the single line

p = .Properties~load

returns
Error 93 running C:\work.ooRexx\wc\main.4.1.2\Win32Rel\CoreClasses.orx line 1890: ...
whereas expected is
Error 93 running c:\temp\test2.rex line 1: ...

C:\temp>rexx -version
Open Object Rexx Version 4.1.2
Build date: Aug 28 2012
Addressing Mode: 32

Madou

Related

Bugs: #1172

Discussion

  • Mark Miesfeld

    Mark Miesfeld - 2013-05-01

    I don't think this is a bug. You didn't show the whole message:

    C:\work.ooRexx>qtest.rex
    3 - p = .Properties~load
    Error 93 running C:\work.ooRexx\wc\main.4.1.fixes\Win32Dbg\CoreClasses.orx line 1890: Incorrect call to method
    Error 93.901: Not enough arguments for method; 1 expected

    The syntax error is raised in CoreClasses.orx and it is easy enough to see that your error is not using the proper arguments to load(). It has always been this way.

     
  • mukenx

    mukenx - 2013-05-05

    The point I wanted to make is that I don't have a file
    c:\work.ooRexx....\CoreClasses.orx on my computer. To be consistent with
    the file information shown with other error messages (e.g. the error
    message with the new() method), I'd think that the file name of the running
    script should be shown instead.

    Madou
    Am 01.05.2013 15:30 schrieb "Mark Miesfeld" miesfeld@users.sf.net:

    I don't think this is a bug. You didn't show the whole message:

    C:\work.ooRexx>qtest.rex
    3 - p = .Properties~load
    Error 93 running C:\work.ooRexx\wc\main.4.1.fixes\Win32Dbg\CoreClasses.orx
    line 1890: Incorrect call to method
    Error 93.901: Not enough arguments for method; 1 expected

    The syntax error is raised in CoreClasses.orx and it is easy enough to see
    that your error is not using the proper arguments to load(). It has always
    been this way.


    Status: open
    Created: Wed May 01, 2013 10:36 AM UTC by mukenx
    Last Updated: Wed May 01, 2013 10:36 AM UTC
    Owner: nobody

    the script c:\temp\test1.rex containing the single line

    p = .Properties~new('')

    returns as expected
    Error 93 running c:\temp\test1.rex line 1: ...

    However the script c:\temp\test2.rex containing the single line

    p = .Properties~load

    returns
    Error 93 running C:\work.ooRexx\wc\main.4.1.2\Win32Rel\CoreClasses.orx
    line 1890: ...
    whereas expected is
    Error 93 running c:\temp\test2.rex line 1: ...

    C:\temp>rexx -version
    Open Object Rexx Version 4.1.2
    Build date: Aug 28 2012
    Addressing Mode: 32

    Madou

    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/oorexx/bugs/1172/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #1172

  • Rick McGuire

    Rick McGuire - 2013-11-22
    • Group: 4.1.2 --> v4.2.0
     
  • Rick McGuire

    Rick McGuire - 2013-11-23

    code committed [r9544].

    This is probably going to require a couple of doc updates.

     

    Related

    Commit: [r9544]

  • Rick McGuire

    Rick McGuire - 2013-11-23
    • status: open --> accepted
    • Pending work items: none --> doc
     
  • Rick McGuire

    Rick McGuire - 2013-11-25
    • status: accepted --> pending
    • Pending work items: doc --> complete
     
  • Rick McGuire

    Rick McGuire - 2014-04-15
    • status: pending --> closed
     


Anonymous

Cancel  Add attachments





Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks